Home

# Class goog.testing.mockmatchers.ObjectEquals

A matcher that verifies that the argument is an object that equals the given expected object, using a deep comparison.

extends goog.testing.mockmatchers.ArgumentMatcher

Instance Method Summary
| `matches(<Any Type> toVerify, ?goog.testing.MockExpectation= opt_expectation) ⇒ boolean` A function that takes a match argument and an optional MockExpectation which (if provided) will get error information and returns whether or not it matches.